/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import { HTMLStencilElement, JSXBase } from '@stencil/core/internal';


export namespace Components {
  interface AppAddcourse {}
  interface AppCoursecard {
    'course_name': string;
    'course_number': string;
    'id': string;
    'instructor': string;
    'section_number': string;
    'term': string;
  }
  interface AppCourseinfo {
    'course_name': string;
    'course_number': string;
    'id': any;
    'instructor': string;
    'section_number': string;
    'term': string;
  }
  interface AppCourselist {}
  interface AppCourses {}
  interface AppHome {}
  interface AppProfile {}
  interface AppRoot {}
  interface AppSign {}
}

declare global {


  interface HTMLAppAddcourseElement extends Components.AppAddcourse, HTMLStencilElement {}
  var HTMLAppAddcourseElement: {
    prototype: HTMLAppAddcourseElement;
    new (): HTMLAppAddcourseElement;
  };

  interface HTMLAppCoursecardElement extends Components.AppCoursecard, HTMLStencilElement {}
  var HTMLAppCoursecardElement: {
    prototype: HTMLAppCoursecardElement;
    new (): HTMLAppCoursecardElement;
  };

  interface HTMLAppCourseinfoElement extends Components.AppCourseinfo, HTMLStencilElement {}
  var HTMLAppCourseinfoElement: {
    prototype: HTMLAppCourseinfoElement;
    new (): HTMLAppCourseinfoElement;
  };

  interface HTMLAppCourselistElement extends Components.AppCourselist, HTMLStencilElement {}
  var HTMLAppCourselistElement: {
    prototype: HTMLAppCourselistElement;
    new (): HTMLAppCourselistElement;
  };

  interface HTMLAppCoursesElement extends Components.AppCourses, HTMLStencilElement {}
  var HTMLAppCoursesElement: {
    prototype: HTMLAppCoursesElement;
    new (): HTMLAppCoursesElement;
  };

  interface HTMLAppHomeElement extends Components.AppHome, HTMLStencilElement {}
  var HTMLAppHomeElement: {
    prototype: HTMLAppHomeElement;
    new (): HTMLAppHomeElement;
  };

  interface HTMLAppProfileElement extends Components.AppProfile, HTMLStencilElement {}
  var HTMLAppProfileElement: {
    prototype: HTMLAppProfileElement;
    new (): HTMLAppProfileElement;
  };

  interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {}
  var HTMLAppRootElement: {
    prototype: HTMLAppRootElement;
    new (): HTMLAppRootElement;
  };

  interface HTMLAppSignElement extends Components.AppSign, HTMLStencilElement {}
  var HTMLAppSignElement: {
    prototype: HTMLAppSignElement;
    new (): HTMLAppSignElement;
  };
  interface HTMLElementTagNameMap {
    'app-addcourse': HTMLAppAddcourseElement;
    'app-coursecard': HTMLAppCoursecardElement;
    'app-courseinfo': HTMLAppCourseinfoElement;
    'app-courselist': HTMLAppCourselistElement;
    'app-courses': HTMLAppCoursesElement;
    'app-home': HTMLAppHomeElement;
    'app-profile': HTMLAppProfileElement;
    'app-root': HTMLAppRootElement;
    'app-sign': HTMLAppSignElement;
  }
}

declare namespace LocalJSX {
  interface AppAddcourse extends JSXBase.HTMLAttributes<HTMLAppAddcourseElement> {}
  interface AppCoursecard extends JSXBase.HTMLAttributes<HTMLAppCoursecardElement> {
    'course_name'?: string;
    'course_number'?: string;
    'id'?: string;
    'instructor'?: string;
    'section_number'?: string;
    'term'?: string;
  }
  interface AppCourseinfo extends JSXBase.HTMLAttributes<HTMLAppCourseinfoElement> {
    'course_name'?: string;
    'course_number'?: string;
    'id'?: any;
    'instructor'?: string;
    'section_number'?: string;
    'term'?: string;
  }
  interface AppCourselist extends JSXBase.HTMLAttributes<HTMLAppCourselistElement> {}
  interface AppCourses extends JSXBase.HTMLAttributes<HTMLAppCoursesElement> {}
  interface AppHome extends JSXBase.HTMLAttributes<HTMLAppHomeElement> {}
  interface AppProfile extends JSXBase.HTMLAttributes<HTMLAppProfileElement> {}
  interface AppRoot extends JSXBase.HTMLAttributes<HTMLAppRootElement> {}
  interface AppSign extends JSXBase.HTMLAttributes<HTMLAppSignElement> {}

  interface IntrinsicElements {
    'app-addcourse': AppAddcourse;
    'app-coursecard': AppCoursecard;
    'app-courseinfo': AppCourseinfo;
    'app-courselist': AppCourselist;
    'app-courses': AppCourses;
    'app-home': AppHome;
    'app-profile': AppProfile;
    'app-root': AppRoot;
    'app-sign': AppSign;
  }
}

export { LocalJSX as JSX };


declare module "@stencil/core" {
  export namespace JSX {
    interface IntrinsicElements extends LocalJSX.IntrinsicElements {}
  }
}


